Skip to content
POST /unified/user-directory/users/deactivate

Query Parameters

Refer Specifying query parameters in Truto APIs

actorstring

An id of the person who will be recorded as completing the offboarding for this user.

1 supported1 required
Vanta
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

user_idstring

The unique identifier of the user

2 supported2 required
Avalara AvaTax
required
Okta
required

Response Body

idstring
required·

The unique identifier for a user

2 supported
Avalara AvaTax
supported
Vanta
supported
activated_atstring · date-time

The date and time the user was activated

avatarstring

The avatar of the user

biostring

The bio of the user. Usually a short description set by the user about them.

created_atstring · date-time

The date and time the user was created

1 supported
Avalara AvaTax
supported
emailsobject[]

The emails of the user

1 supported
Avalara AvaTax
supported
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

external_idstring

The external identifier for a user. This is set when the SCIM API is being used.

first_namestring

The first name of the user

1 supported
Avalara AvaTax
supported
groupsobject[]

The groups of the user

idstring

The unique identifier for a group

namestring

The name of the group

organizationstring

The unique identifier of the organization to which the group belongs

identifiersRecord<string, any>

The identifiers of the user.

is_2fa_enabledboolean

Whether the user has 2FA enabled

is_email_verifiedboolean

Whether the user's email has been verified

languagesstring[]

The languages preferred by the user

last_active_atstring · date-time

The date and time the user was last active

last_login_atstring · date-time

The date and time the user was last logged in

last_namestring

The last name of the user

1 supported
Avalara AvaTax
supported
licensesobject[]

The licenses of the user or the products the user has access to

idstring

The unique identifier for a license

last_active_atstring · date-time

The date and time the user was last active for the license

namestring

The name of the license

organizationstring

The unique identifier of the organization to which the license belongs

namestring

The name of the user

1 supported
Avalara AvaTax
supported
organizationsobject[]

The organizations of the user

1 supported
Avalara AvaTax
supported
idstring

The unique identifier for an organization

namestring

The name of the organization

phonesobject[]

The phones of the user

extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone number

remote_dataRecord<string, any>

Raw data returned from the remote API call.

rolesobject[]

The roles of the user

1 supported
Avalara AvaTax
supported
groupstring

The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.

idstring

The unique identifier for a role

namestring

The name of the role

organizationstring

The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.

workspacestring

The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.

statusstring

The status of the user. If no clear mapping is available, then the raw value is returned.

Possible values:
activeinactivedeletedinvited
1 supported
Avalara AvaTax
supported
status_changed_atstring · date-time

The date and time the user's status was last changed

timezonestring

The timezone of the user

titlestring

The title of the user

updated_atstring · date-time

The date and time the user was last updated

1 supported
Avalara AvaTax
supported
urlsobject[]

The URLs of the user

typestring

The type of URL

urlstring

The URL

user_typestring

The type of user

usernamestring

The username of the user

1 supported
Avalara AvaTax
supported
workspacesobject[]

The workspaces of the user

1 supported
Avalara AvaTax
supported
idstring

The unique identifier for a workspace

namestring

The name of the workspaces

curl -X POST 'https://api.truto.one/unified/user-directory/users/deactivate?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "user_id": "your_user_id",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "user_id": "your_user_id",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/user-directory/users/deactivate?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/user-directory/users/deactivate"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "user_id": "your_user_id",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: deactivate
const result = await truto.unifiedApi.deactivate(
  'user-directory',
  'users',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: deactivate
    result = await truto_api.unified_api.deactivate(
        "user-directory",
        "users",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())